rrdpoller

Metadata

Analyzed metadata and errors of rrdpoller.

{
   "abstracts_in_pod" : {
      "RRD::Query" : "Perform queries on RRD file",
      "RRD::Threshold" : "Check for thresholds exceeding values in RRD files data"
   },
   "author" : "RSOLIV",
   "buildfile_executable" : 0,
   "dirs_array" : [
      "contrib",
      "debian"
   ],
   "dist" : "rrdpoller",
   "dynamic_config" : 0,
   "error" : {
      "consistent_version" : "1.009,1.015",
      "meta_yml_conforms_to_known_spec" : "'<undef>' for 'File::Temp' is not a valid version. (requires -> File::Temp) [Validation: 1.0]",
      "no_pod_errors" : "rrdpoller-1.5.0/Query.pm -- Around line 250:  You forgot a '=back' before '=head1' rrdpoller-1.5.0/Threshold.pm--  Around line 530:  Non-ASCII character seen before =encoding in 'source. One'. Assuming  ISO8859-1",
      "proper_libs" : "Query.pm, Threshold.pm",
      "use_warnings" : "RRD::Query, RRD::Threshold",
      "valid_signature" : "WARNING: This key is not certified with a trusted signature!\nPrimary key fingerprint: 8969 5CFE 984F 7C23 6DC2  8F9E 83BD 92D6 39C2 4F41\n"
   },
   "extension" : "tar.gz",
   "extractable" : 1,
   "extracts_nicely" : 1,
   "file__build" : 0,
   "file_blib" : 0,
   "file_build" : 0,
   "file_makefile" : 0,
   "file_makefile_pl" : "Makefile.PL",
   "file_manifest" : "MANIFEST",
   "file_meta_yml" : "META.yml",
   "file_pm_to_blib" : 0,
   "file_readme" : "README",
   "file_signature" : "SIGNATURE",
   "file_test_pl" : "test.pl",
   "files_array" : [
      "INSTALL",
      "MANIFEST",
      "META.yml",
      "Makefile.PL",
      "Query.pm",
      "README",
      "SIGNATURE",
      "TODO",
      "Threshold.pm",
      "contrib/rrd.monitor",
      "debian/changelog",
      "debian/control",
      "debian/librrd-threshold-perl.copyright",
      "debian/rrdpoller.copyright",
      "debian/rules",
      "rrdpoller",
      "rrdpollerd",
      "test.pl",
      "test.pl"
   ],
   "files_hash" : {
      "INSTALL" : {
         "mtime" : 1102329217,
         "size" : 127
      },
      "MANIFEST" : {
         "mtime" : 1107772956,
         "size" : 312
      },
      "META.yml" : {
         "mtime" : 1109612223,
         "size" : 564
      },
      "Makefile.PL" : {
         "mtime" : 1102700713,
         "required_in_eval" : [
            "RRDs"
         ],
         "size" : 3794,
         "used" : [
            "ExtUtils::MakeMaker",
            "strict"
         ]
      },
      "Query.pm" : {
         "license" : "LGPL_2_1,LGPL_3_0",
         "module" : "RRD::Query",
         "mtime" : 1109612232,
         "required" : [
            "Exporter",
            "Math::RPN"
         ],
         "size" : 6382,
         "used" : [
            "Error",
            "Error::Simple",
            "RRDs",
            "strict"
         ]
      },
      "README" : {
         "mtime" : 1109612223,
         "size" : 14261
      },
      "SIGNATURE" : {
         "mtime" : 1109612227,
         "size" : 1738
      },
      "TODO" : {
         "mtime" : 1107482473,
         "size" : 200
      },
      "Threshold.pm" : {
         "license" : "LGPL_2_1,LGPL_3_0",
         "module" : "RRD::Threshold",
         "mtime" : 1102424036,
         "size" : 16599,
         "used" : [
            "Error",
            "Error::Simple",
            "RRD::Query",
            "strict"
         ]
      },
      "contrib/rrd.monitor" : {
         "mtime" : 1108724021,
         "size" : 2973
      },
      "debian/changelog" : {
         "mtime" : 1109611831,
         "size" : 2660
      },
      "debian/control" : {
         "mtime" : 1102520323,
         "size" : 1422
      },
      "debian/librrd-threshold-perl.copyright" : {
         "mtime" : 1102328780,
         "size" : 144
      },
      "debian/rrdpoller.copyright" : {
         "mtime" : 1102328780,
         "size" : 143
      },
      "debian/rules" : {
         "mtime" : 1108572208,
         "size" : 1973
      },
      "rrdpoller" : {
         "mtime" : 1109612555,
         "size" : 21532
      },
      "rrdpollerd" : {
         "mtime" : 1105985886,
         "size" : 4274
      },
      "test.pl" : {
         "mtime" : 1107538726,
         "size" : 5202
      }
   },
   "got_prereq_from" : "META.yml",
   "kwalitee" : {
      "buildtool_not_executable" : 1,
      "consistent_version" : 0,
      "distname_matches_name_in_meta" : 1,
      "extractable" : 1,
      "extracts_nicely" : 1,
      "has_abstract_in_pod" : 1,
      "has_buildtool" : 1,
      "has_changelog" : 0,
      "has_human_readable_license" : 1,
      "has_known_license_in_source_file" : 1,
      "has_license_in_source_file" : 1,
      "has_manifest" : 1,
      "has_meta_yml" : 1,
      "has_proper_version" : 1,
      "has_readme" : 1,
      "has_separate_license_file" : 0,
      "has_tests" : 1,
      "has_tests_in_t_dir" : 0,
      "has_version" : 1,
      "kwalitee" : "75.00",
      "manifest_matches_dist" : 1,
      "meta_json_conforms_to_known_spec" : 1,
      "meta_json_is_parsable" : 1,
      "meta_yml_conforms_to_known_spec" : 0,
      "meta_yml_declares_perl_version" : 0,
      "meta_yml_has_license" : 0,
      "meta_yml_has_provides" : 0,
      "meta_yml_has_repository_resource" : 0,
      "meta_yml_is_parsable" : 1,
      "no_abstract_stub_in_pod" : 1,
      "no_broken_auto_install" : 1,
      "no_broken_module_install" : 1,
      "no_dot_dirs" : 1,
      "no_dot_underscore_files" : 1,
      "no_generated_files" : 1,
      "no_invalid_versions" : 1,
      "no_local_dirs" : 1,
      "no_mymeta_files" : 1,
      "no_pax_headers" : 1,
      "no_pod_errors" : 0,
      "no_stdin_for_prompting" : 0,
      "no_symlinks" : 1,
      "package_version_matches_dist_version" : 0,
      "portable_filenames" : 1,
      "proper_libs" : 0,
      "use_strict" : 1,
      "use_warnings" : 0,
      "valid_signature" : 1
   },
   "latest_mtime" : 1109612555,
   "license" : "defined in POD (Query.pm)",
   "license_in_pod" : 1,
   "licenses" : {
      "LGPL_2_1" : [
         "Query.pm",
         "Threshold.pm"
      ],
      "LGPL_3_0" : [
         "Query.pm",
         "Threshold.pm"
      ]
   },
   "manifest_matches_dist" : 1,
   "meta_yml" : {
      "distribution_type" : "module",
      "generated_by" : "ExtUtils::MakeMaker version 6.17",
      "installdirs" : "site",
      "meta-spec" : {},
      "name" : "rrdpoller",
      "requires" : {
         "Cwd" : "0",
         "Error" : "0.15",
         "File::Temp" : null,
         "Getopt::Long" : "0",
         "RRDs" : "1.000481",
         "XMLRPC::Lite" : "0",
         "XMLRPC::Transport::HTTP" : "0"
      },
      "version" : "1.5.0",
      "version_from" : "rrdpoller"
   },
   "meta_yml_is_parsable" : 1,
   "meta_yml_spec_version" : "1.0",
   "modules" : [
      {
         "file" : "Query.pm",
         "in_basedir" : 1,
         "in_lib" : 0,
         "module" : "RRD::Query"
      },
      {
         "file" : "Threshold.pm",
         "in_basedir" : 1,
         "in_lib" : 0,
         "module" : "RRD::Threshold"
      }
   ],
   "no_pax_headers" : 1,
   "package" : "rrdpoller-1.5.0.tar.gz",
   "prereq" : [
      {
         "is_prereq" : 1,
         "requires" : "Cwd",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "RRDs",
         "type" : "runtime_requires",
         "version" : "1.000481"
      },
      {
         "is_prereq" : 1,
         "requires" : "XMLRPC::Transport::HTTP",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "XMLRPC::Lite",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "File::Temp",
         "type" : "runtime_requires",
         "version" : null
      },
      {
         "is_prereq" : 1,
         "requires" : "Getopt::Long",
         "type" : "runtime_requires",
         "version" : "0"
      },
      {
         "is_prereq" : 1,
         "requires" : "Error",
         "type" : "runtime_requires",
         "version" : "0.15"
      }
   ],
   "released_epoch" : 1109612860,
   "size_packed" : 23607,
   "size_unpacked" : 89502,
   "stdin_in_makefile_pl" : 1,
   "uses" : {
      "required_in_code" : {
         "Exporter" : 1,
         "Math::RPN" : 1
      },
      "required_in_eval_in_config" : {
         "RRDs" : 1
      },
      "used_in_code" : {
         "Error" : 2,
         "Error::Simple" : 5,
         "RRDs" : 1,
         "strict" : 2
      },
      "used_in_config" : {
         "ExtUtils::MakeMaker" : 1,
         "strict" : 1
      }
   },
   "valid_signature" : 0,
   "version" : "1.5.0",
   "versions" : {
      "Query.pm" : {
         "Error::RRD::Feature" : "1.015",
         "Error::RRD::NoSuchDS" : "1.015",
         "Error::RRD::isNaN" : "1.015",
         "Error::RRDs" : "1.015",
         "RRD::Query" : "1.015"
      },
      "Threshold.pm" : {
         "Error::InvalidArgument" : "1.009",
         "RRD::Threshold" : "1.009"
      }
   },
   "vname" : "rrdpoller-1.5.0"
}